#include <iostream>
using namespace std;

int main(){
    int n,k,x[20000];
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>x[i];
    }
    for(int i=0;i<n;i++){
        if(x[i]==k){
            if(i==n-1) cout<<x[0];
            else cout<<x[i+1];
            break;
        }
    }
}